# Uses of Enum
ch.qos.logback.access.sift.AccessEventDiscriminator.FieldName

Packages that use AccessEventDiscriminator.FieldName
Package
Description
ch.qos.logback.access.sift

## Uses of AccessEventDiscriminator.FieldName in ch.qos.logback.access.sift

Methods in ch.qos.logback.access.sift that return AccessEventDiscriminator.FieldName
Modifier and Type
Method
Description
`AccessEventDiscriminator.FieldName`
AccessEventDiscriminator.`getFieldName()`
`static AccessEventDiscriminator.FieldName`
AccessEventDiscriminator.FieldName.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AccessEventDiscriminator.FieldName[]`
AccessEventDiscriminator.FieldName.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in ch.qos.logback.access.sift with parameters of type AccessEventDiscriminator.FieldName
Modifier and Type
Method
Description
`void`
AccessEventDiscriminator.`setFieldName(AccessEventDiscriminator.FieldName fieldName)`